This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 804008 - [abrt] kernel: WARNING: at drivers/net/wireless/ath/ath9k/htc_drv_txrx.c:501 ath9k_htc_tx_process+0x3bc/0x450 [ath9k_htc]()
[abrt] kernel: WARNING: at drivers/net/wireless/ath/ath9k/htc_drv_txrx.c:501 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Greene
Fedora Extras Quality Assurance
abrt_hash:a633d044320e456c3b66ce19566...
:
: 801314 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 05:51 EDT by Misha Shnurapet
Modified: 2013-07-31 21:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:23:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (2.88 KB, text/plain)
2012-03-16 05:51 EDT, Misha Shnurapet
no flags Details

  None (edit)
Description Misha Shnurapet 2012-03-16 05:51:13 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.0-0.rc7.git0.3.fc17.x86_64 root=UUID=0d6ad8c6-d92e-4bbc-b1ee-b9bfbe9d6c3b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True rd.luks=0 KEYTABLE=us-acentos LANG=en_US.UTF-8 rhgb quiet nomodeset
kernel:         3.3.0-0.rc7.git0.3.fc17.x86_64
reason:         WARNING: at drivers/net/wireless/ath/ath9k/htc_drv_txrx.c:501 ath9k_htc_tx_process+0x3bc/0x450 [ath9k_htc]()
time:           Пт. 16 марта 2012 01:57:52

smolt_data:     Binary file, 2952 bytes

backtrace:
:WARNING: at drivers/net/wireless/ath/ath9k/htc_drv_txrx.c:501 ath9k_htc_tx_process+0x3bc/0x450 [ath9k_htc]()
:Hardware name: System Product Name
:Modules linked in: fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser bnep rdma_cm bluetooth ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi arc4 snd_hda_codec_via snd_hda_intel ath9k_htc snd_hda_codec ath9k_common ath9k_hw ath ppdev snd_hwdep snd_pcm mac80211 nouveau cfg80211 mxm_wmi wmi rfkill video ttm snd_page_alloc snd_timer snd microcode drm_kms_helper drm soundcore serio_raw edac_core sp5100_tco k8temp edac_mce_amd i2c_piix4 asus_atk0110 parport_pc parport i2c_core uinput ata_generic pata_acpi usb_storage uas pata_atiixp [last unloaded: scsi_wait_scan]
:Pid: 2299, comm: gnome-shell Not tainted 3.3.0-0.rc7.git0.3.fc17.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff81060dff>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81060e5a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa03d79cc>] ath9k_htc_tx_process+0x3bc/0x450 [ath9k_htc]
: [<ffffffffa03d7795>] ? ath9k_htc_tx_process+0x185/0x450 [ath9k_htc]
: [<ffffffffa03d7389>] ? ath9k_htc_tx_get_packet+0x139/0x1c0 [ath9k_htc]
: [<ffffffffa03d828e>] ath9k_htc_txstatus+0x3e/0x140 [ath9k_htc]
: [<ffffffff81068fbd>] ? local_bh_enable_ip+0x8d/0x100
: [<ffffffffa03d6b59>] ath9k_wmi_event_tasklet+0x169/0x170 [ath9k_htc]
: [<ffffffff81069376>] ? tasklet_action+0x56/0x200
: [<ffffffff810693b7>] tasklet_action+0x97/0x200
: [<ffffffff81069b60>] __do_softirq+0xe0/0x380
: [<ffffffff816a80ac>] call_softirq+0x1c/0x30
: [<ffffffff8101b5e5>] do_softirq+0xa5/0xe0
: [<ffffffff8106a175>] irq_exit+0xd5/0xe0
: [<ffffffff816a8943>] do_IRQ+0x63/0xe0
: [<ffffffff8169e2b3>] common_interrupt+0x73/0x73
: <EOI>  [<ffffffff816a6b95>] ? sysret_check+0x22/0x5d
Comment 1 Misha Shnurapet 2012-03-16 05:51:19 EDT
Created attachment 570549 [details]
File: smolt_data
Comment 2 John W. Linville 2012-03-16 09:30:02 EDT
Hmmm...

send_mac80211:
        spin_lock_bh(&priv->tx.tx_lock);
        if (WARN_ON(--priv->tx.queued_cnt < 0))
                priv->tx.queued_cnt = 0;
        spin_unlock_bh(&priv->tx.tx_lock);

Bad queue entry/exit accounting?  Maybe something dropped on an error path?
Comment 3 Dave Jones 2012-03-26 11:11:38 EDT
*** Bug 801314 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2013-07-03 19:03:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 21:23:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.